Systray icons showing on top of everything

Bug #728719 reported by elPraga on 2011-03-03
56
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Neil J. Patel
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

Recently the systray support was added to Unity panel, but the systray icon (I tried it with Skype, but I suppose that others to that as well) stays visible when wathching a movie in fullscreen. See screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,imgjpeg,decor,imgpng,place,obs,imgsvg,move,commands,staticswitcher,gnomecompat,resize,text,zoom,mousepoll,regex,mag,session,wall,shift,animation,wobbly,fade,expo,scale,workarounds,unityshell]
Date: Thu Mar 3 23:05:41 2011
EcryptfsInUse: Yes
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 LANGUAGE=es_ES:es:en_GB:en
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2010-12-09 (84 days ago)

Related branches

elPraga (elpraga) wrote :
elPraga (elpraga) wrote :
elPraga (elpraga) wrote :

The screenshot shows the Skype icon when watching photos in fullscreen with eog.

Neil J. Patel (njpatel) on 2011-03-05
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → High
milestone: none → 3.6.4
status: New → Triaged
summary: - Skype systray icon stays visible when watching a movie in fullscreen
+ Systray icons showing on top of everything
Timothy Kross (timkross) wrote :

They are also visible when in Expo Mode (Super + E), in fact 4 copies show up, one in each workspace.

Didier Roche (didrocks) on 2011-03-07
Changed in unity (Ubuntu):
status: New → Triaged
Neil J. Patel (njpatel) on 2011-03-08
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Triaged → Fix Released

The bug is still present in unity 3.8.6

Stefan (sbossb) wrote :

The bug still exists in unity 3.8.6. It also appears in the compiz. The dropbox icon is on each individual screen instead of being in the system tray.

I cannot speak about Dropbox, because I do not have it installed, but the
original bug was that the systray icons shows over fullscreeen windows. I
can confirm that this is no longer happening with skype systray icons and
eog.

2011/4/13 Stefan <email address hidden>

> The bug still exists in unity 3.8.6. It also appears in the compiz. The
> dropbox icon is on each individual screen instead of being in the system
> tray.
>
> ** Attachment added: "Screenshot-2.png"
>
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/728719/+attachment/2032139/+files/Screenshot-2.png
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/728719
>
> Title:
> Systray icons showing on top of everything
>
> Status in Unity:
> Fix Released
> Status in “unity” package in Ubuntu:
> Fix Released
>
> Bug description:
> Binary package hint: unity
>
> Recently the systray support was added to Unity panel, but the systray
> icon (I tried it with Skype, but I suppose that others to that as
> well) stays visible when wathching a movie in fullscreen. See
> screenshot.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.6.0-0ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic i686
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,imgjpeg,decor,imgpng,place,obs,imgsvg,move,commands,staticswitcher,gnomecompat,resize,text,zoom,mousepoll,regex,mag,session,wall,shift,animation,wobbly,fade,expo,scale,workarounds,unityshell]
> Date: Thu Mar 3 23:05:41 2011
> EcryptfsInUse: Yes
> InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> ProcEnviron:
> LANGUAGE=es_ES:es:en_GB:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2010-12-09 (84 days ago)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity/+bug/728719/+subscribe
>

ElQanah Gutiérrez (elqanah) wrote :

In my case, the systray icons are gone after Expo mode. I use left-lower and right-lower corners of the screen to trigger Expo with the mouse pointer. Currently I have Skype and HPLip. I can see them on Expo mode in the four Desktops, but they go missing after selecting the desktop to use, hence can not get to skype. If I do "unity --replace" they appear, but still might fail anytime. Is this related to this bug?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers